MessageBuffer Class Reference

This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter. More...

## Public Member Functions

| MessageBuffer ()
| Creates a new instance. More...
| ~MessageBuffer ()
| Destructor. More...
| operator std::ostream & ()
| Cast to ostream. More...
CharMessageBuffer & | operator<< (const std::string &msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
CharMessageBuffer & | operator<< (const char *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
CharMessageBuffer & | operator<< (char *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
CharMessageBuffer & | operator<< (const char msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
const std::string & | str (CharMessageBuffer &buf)
| Get content of buffer. More...
const std::string & | str (std::ostream &os)
| Get content of buffer. More...
WideMessageBuffer & | operator<< (const std::wstring &msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
WideMessageBuffer & | operator<< (const wchar_t *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
WideMessageBuffer & | operator<< (wchar_t *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
WideMessageBuffer & | operator<< (const wchar_t msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (const std::basic_string< UniChar > &msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (const UniChar *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (UniChar *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (const UniChar msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (const CFStringRef &msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
std::ostream & | operator<< (ios_base_manip manip)
| Insertion operator for STL manipulators such as std::fixed. More...
std::ostream & | operator<< (bool val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (short val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (int val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (unsigned int val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (long val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (unsigned long val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (float val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (double val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (long double val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (void *val)
| Insertion operator for built-in type. More...
const std::wstring & | str (WideMessageBuffer &buf)
| Get content of buffer. More...
const std::wstring & | str (std::basic_ostream< wchar_t > &os)
| Get content of buffer. More...
const std::basic_string< UniChar > & | str (UniCharMessageBuffer &buf)
| Get content of buffer. More...
const std::basic_string< UniChar > & | str (UniCharMessageBuffer::uostream &os)
| Get content of buffer. More...
bool | hasStream () const
| Returns true if buffer has an encapsulated STL stream. More...

## Detailed Description

This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter.

The class is not intended for use outside of that context.

## Constructor & Destructor Documentation

## MessageBuffer()

MessageBuffer | ( |  | ) |

Creates a new instance.

## ~MessageBuffer()

~MessageBuffer | ( |  | ) |

Destructor.

## Member Function Documentation

## hasStream()

bool hasStream | ( |  | ) | const

Returns true if buffer has an encapsulated STL stream.

Returns
  true if STL stream was created.

## operator std::ostream &()

operator std::ostream & | ( |  | ) |

Cast to ostream.

## operator<<() [1/24]

CharMessageBuffer& operator<< | ( | const std::string & | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [2/24]

CharMessageBuffer& operator<< | ( | const char * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [3/24]

CharMessageBuffer& operator<< | ( | char * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [4/24]

CharMessageBuffer& operator<< | ( | const char | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [5/24]

WideMessageBuffer& operator<< | ( | const std::wstring & | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [6/24]

WideMessageBuffer& operator<< | ( | const wchar_t * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [7/24]

WideMessageBuffer& operator<< | ( | wchar_t * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [8/24]

WideMessageBuffer& operator<< | ( | const wchar_t | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [9/24]

UniCharMessageBuffer& operator<< | ( | const std::basic_string< UniChar > & | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [10/24]

UniCharMessageBuffer& operator<< | ( | const UniChar * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [11/24]

UniCharMessageBuffer& operator<< | ( | UniChar * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [12/24]

UniCharMessageBuffer& operator<< | ( | const UniChar | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [13/24]

UniCharMessageBuffer& operator<< | ( | const CFStringRef & | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

## operator<<() [14/24]

std::ostream& operator<< | ( | ios_base_manip | manip | ) |

Insertion operator for STL manipulators such as std::fixed.

Parameters

  manip | manipulator.

Returns
  encapsulated STL stream.

## operator<<() [15/24]

std::ostream& operator<< | ( | bool | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [16/24]

std::ostream& operator<< | ( | short | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [17/24]

std::ostream& operator<< | ( | int | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [18/24]

std::ostream& operator<< | ( | unsigned int | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [19/24]

std::ostream& operator<< | ( | long | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [20/24]

std::ostream& operator<< | ( | unsigned long | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [21/24]

std::ostream& operator<< | ( | float | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [22/24]

std::ostream& operator<< | ( | double | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [23/24]

std::ostream& operator<< | ( | long double | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## operator<<() [24/24]

std::ostream& operator<< | ( | void * | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

## str() [1/6]

const std::string& str | ( | CharMessageBuffer & | buf | ) |

Get content of buffer.

Parameters

  buf | used only to signal the character type and that the embedded stream was not used.

## str() [2/6]

const std::string& str | ( | std::ostream & | os | ) |

Get content of buffer.

Parameters

  os | used only to signal the character type and that the embedded stream was used.

## str() [3/6]

const std::wstring& str | ( | WideMessageBuffer & | buf | ) |

Get content of buffer.

Parameters

  buf | used only to signal the character type and that the embedded stream was not used.

## str() [4/6]

const std::wstring& str | ( | std::basic_ostream< wchar_t > & | os | ) |

Get content of buffer.

Parameters

  os | used only to signal the character type and that the embedded stream was used.

## str() [5/6]

const std::basic_string<UniChar>& str | ( | UniCharMessageBuffer & | buf | ) |

Get content of buffer.

Parameters

  buf | used only to signal the character type and that the embedded stream was not used.

## str() [6/6]

const std::basic_string<UniChar>& str | ( | UniCharMessageBuffer::uostream & | os | ) |

Get content of buffer.

Parameters

  os | used only to signal the character type and that the embedded stream was used.

The documentation for this class was generated from the following file:

- messagebuffer.h